
QGIS Application - Bug report #1644

QgsVectorLayer/Python: Vector layer has no display name

2009-04-20 10:11 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11704

Description

If i'm loading a postgis layer with python, like

uri = [[QgsDataSourceURI]]()

uri.setConnection('host','port','mydb','public',_)

uri.setDataSource('public','foo','wkb_geometry',_)

layer = [[QgsVectorLayer]](uri.uri(),'bar','postgres')

[[QgsMapLayerRegistry]].instance().addMapLayer(layer);

the new layer has no display name in the legend and its properties (print layer.name() has also no output). If i'm setting the name by using

layer.setLayerName('bar'), the name is there, but it would be cool, if the constructor sets the name itsself like before.

It works for raster data and it works also if i'm using the postgis connector tool.

regards

Cédric

Associated revisions

Revision 4ac3e654 - 2009-04-20 09:29 PM - Jürgen Fischer

fix #1644

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10605 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d72d5abc - 2009-04-20 09:29 PM - Jürgen Fischer

fix #1644

git-svn-id: http://svn.osgeo.org/qgis/trunk@10605 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-04-20 12:32 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
http://svn.osgeo.org/qgis/trunk/qgis@10605
http://svn.osgeo.org/qgis/trunk@10605


fixed in

#2 - 2009-08-22 01:03 AM - Anonymous

Milestone Version 1.1.0 deleted
